com.ibm.openpages.api.questionnaire

## Enum QuestionnaireStatus

- java.lang.Object
- - java.lang.Enum<QuestionnaireStatus>
  - - com.ibm.openpages.api.questionnaire.QuestionnaireStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QuestionnaireStatus>

      public enum QuestionnaireStatus
      extends java.lang.Enum<QuestionnaireStatus>

  Enum for various `IQuestionnaire` status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED` Represents a status when the response on a QuestionnaireAssessment is closed.
    `IN_APPROVAL` Represents a status when the response on a QuestionnaireAssessment is in approval.
    `IN_AUTHORING` Represents a status when a QuestionnaireTemplate is opened and edited.
    `IN_REVIEW` Represents a status when the response on a QuestionnaireAssessment is in review.
    `INFORMATION_GATHERING` Represents a status when a QuestionnaireAssessment is opened and an asset is assessed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QuestionnaireStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QuestionnaireStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IN_AUTHORING

          public static final QuestionnaireStatus IN_AUTHORING

      Represents a status when a QuestionnaireTemplate is opened and edited.

    - #### INFORMATION_GATHERING

          public static final QuestionnaireStatus INFORMATION_GATHERING

      Represents a status when a QuestionnaireAssessment is opened and an asset is assessed.

    - #### IN_REVIEW

          public static final QuestionnaireStatus IN_REVIEW

      Represents a status when the response on a QuestionnaireAssessment is in review.

    - #### IN_APPROVAL

          public static final QuestionnaireStatus IN_APPROVAL

      Represents a status when the response on a QuestionnaireAssessment is in approval.

    - #### CLOSED

          public static final QuestionnaireStatus CLOSED

      Represents a status when the response on a QuestionnaireAssessment is closed.

  - ### Method Detail

    - #### values

          public static QuestionnaireStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QuestionnaireStatus c : QuestionnaireStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QuestionnaireStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.